<!--
  Copyright: (c) 2020-2021, VTK Gent vzw
  GNU Affero General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/agpl-3.0.txt)
-->

<template>
  <v-col v-show="display" cols="12" class="py-2">
    <v-alert
      v-for="(notification, i) in notifications"
      :key="i"
      v-model="notification.show"
      dismissible
      :type="type"
      class="ma-0"
      transition="slide-x-transition"
      border="left"
      text
      tile
    >
      {{ notification.text }}
    </v-alert>
  </v-col>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'

export default defineComponent({
  auth: 'guest',
  props: {
    notifications: {
      type: Array,
      default: () => [],
    },
    type: {
      type: String,
      required: true,
    },
    displayNotification: {
      type: Boolean,
      required: true,
    },
  },
  computed: {
    // Notification collumn should be displayed if displayNotification is true and there's atleast one notification to be shown.
    display() {
      let result = false
      if (this.displayNotification) {
        if (this.notifications.filter((n: any) => n.show === true).length > 0) {
          result = true
        }
      }
      return result
    },
  },
})
</script>

<style lang="scss" scoped></style>
